Subject: Re: bug#62027: Subject: 29.0.60; Breaking change in forward-sentence/backward-sentence

From: Eli Zaretskii <[email-masked]>
Date: Tue, 07 Mar 2023 18:17:56 +0200

> From: Manuel Giraud <[email-masked]>
> Cc: Daniel Martín <[email-masked]>,
>   [email-masked],
>   [email-masked]
> Date: Tue, 07 Mar 2023 17:07:14 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> [...]
> 
> >> I'm all for reverting to the traditional return values of the sentence
> >> commands, specially if they don't complicate the new command much.  The
> >> return value was not documented, but Hyrum's Law
> >> (https://www.hyrumslaw.com/) tells us that there is an unknown amount of
> >> code out there that depends on the traditional return value, anyway.
> >
> > Agreed.
> 
> Ok.  I've tried to fix this.  I've done some testing, it works for me™.
> If it is ok, I think it should go in emacs-29 (if this is still
> possible).

Yes, please.  This command is new in Emacs 29, so it needs to be
corrected there.

> Subject: [PATCH] Revert 'forward-sentence-default-function' to return the
>  point
> 
> * lisp/textmodes/paragraphs.el
> (forward-sentence-default-function): Revert to return the point
> position.
> (count-sentences): Adapt to this change.

Don't forget to mention the bug number in the commit log message when
you install this.

Thanks.